---
title: "Gebruiker"
source: /nl/gcxone/api/user
locale: nl
updated: 2026-09-04
---
Operaties op gebruikersbronnen. 6 eindpunten, elk relatief ten opzichte van `https://api.nxgen.cloud/api/v1` en geauthenticeerd zoals beschreven onder [Authenticatie](/gcxone/api/authentication).

## POST /user/

Nieuwe gebruiker aanmaken

### Verzoek body

Gebruiker toevoegen

```json
{
  "payload": {
    "id": "string",
    "email": "string (required)",
    "firstName": "string (required)",
    "lastName": "string (required)",
    "isActive": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "apps": [
      {
        "displaystring": "string",
        "url": "string",
        "type": "string",
        "imgUrl": "string",
        "class": "string",
        "graphUrl": [
          "…"
        ],
        "internalName": "string",
        "permission": "object",
        "mapInformation": "object"
      }
    ],
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "roles": [
      "string"
    ],
    "s3ImagePath": "string",
    "partnerLogin": "boolean",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "countryName": "any",
    "subdomain": "string",
    "accessLevel": "string",
    "parentAccountId": "string",
    "parent": "string",
    "serviceProvidersEventProviderId": "string"
  }
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |

## POST /user/filter

Haalt de gebruikerslijst op met filteren, sorteren en paginering. Het maakt zoeken op hiërarchisch niveau mogelijk. Het kan worden gefilterd met een opgegeven hiërarchie of gebruikt de hiërarchie van de aangemelde gebruiker. Dit biedt de mogelijkheid extra entiteitsvelden op te nemen in de respons. Biedt tevens configuratiemetadata over de entiteit.

### Verzoek body

Gebruikersfiltering en -sortering

```json
{
  "filters": [
    {
      "columnName": "string (required)",
      "type": "distinctList | date | number | StringConditionFilter (required)",
      "filter": "object (required)"
    }
  ],
  "sortOrder": [
    {
      "columnName": "string",
      "isAscending": "boolean"
    }
  ],
  "primaryColumns": [
    "string"
  ],
  "hierarchyLevel": "string",
  "hierarchyId": "string",
  "nPerPage": "number",
  "pageNumber": "number",
  "isConfigDetailRequired": "boolean",
  "getConfig": "boolean",
  "getChildOrParent": "boolean"
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes | object |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |

Voorbeeld `200` respons:

```json
{
  "config": {
    "columns": [
      {
        "visibility": true,
        "columnName": "commercialName",
        "DisplayName": "User",
        "isFilterable": true,
        "filterType": "stringCondition",
        "sticky": true,
        "isRightBorder": true,
        "isMandatory": true,
        "isNotDraggable": true
      }
    ],
    "defaultNPerPage": 50,
    "defaultFilterCondition": [],
    "defaultSortingOrder": [
      {
        "columnName": "dateTime",
        "isAscending": false
      }
    ],
    "maxVisibleColumnCount": 6,
    "exportLimitNPerPage": 500
  },
  "dataResult": [
    {
      "photo": "",
      "email": "admin@dev.de",
      "contact": "+41 ",
      "isActive": "true",
      "firstName": "Test",
      "lastName": "User3",
      "accessLevel": "serviceprovider",
      "uniqueId": "c8c03fca60f5804624540aceabdc003",
      "parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
      "roles": "User role test",
      "applicationName": "app name",
      "sessionTimeOutInMin": 30
    },
    {
      "photo": "",
      "email": "admin-1@dev.de",
      "contact": "+41 ",
      "isActive": "true",
      "firstName": "Test",
      "lastName": "User4",
      "accessLevel": "serviceprovider",
      "uniqueId": "40aceabdc4e20770c8c03fca60f58046",
      "parentAccountId": "e7f417cf4a434b5093a8173cdb40004f",
      "roles": "User role test",
      "applicationName": null,
      "sessionTimeOutInMin": 30
    }
  ],
  "totalRecordsCount": 3552,
  "filteredBy": [],
  "sortedBy": [
    {
      "columnName": "dateTime",
      "isAscending": false
    }
  ],
  "dispatchedAll": false,
  "isDefaultProjectionMutated": false,
  "isDefaultFilterMutated": false,
  "isDefaultSortingMutated": false
}
```

## GET /user/me

Toon logingebruiker

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## GET /user/{id}

geef gebruiker op id

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | pad | string | ja |  |

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |
| 404 | Niet gevonden |  |

## PUT /user/{id}

Update een bestaande gebruiker

### Parameters

| Naam | In | Type | Verplicht | Beschrijving |
| --- | --- | --- | --- | --- |
| id | path | string | Ja |  |

### Verzoek body

Om een gebruiker bij te werken, geef de bestaande Id op

```json
{
  "payload": {
    "id": "string",
    "email": "string (required)",
    "firstName": "string (required)",
    "lastName": "string (required)",
    "isActive": "boolean",
    "countryCode": "string",
    "phoneNumber": "string",
    "houseBuildingNumber": "string",
    "streetName": "string",
    "city": "string",
    "state": "string",
    "country": "string",
    "code": "string",
    "logo": "string",
    "apps": [
      {
        "displaystring": "string",
        "url": "string",
        "type": "string",
        "imgUrl": "string",
        "class": "string",
        "graphUrl": [
          "…"
        ],
        "internalName": "string",
        "permission": "object",
        "mapInformation": "object"
      }
    ],
    "business": [
      "string"
    ],
    "tags": [
      "string"
    ],
    "photos": [
      "string"
    ],
    "devImage": "string",
    "followers": [
      "string"
    ],
    "roles": [
      "string"
    ],
    "s3ImagePath": "string",
    "partnerLogin": "boolean",
    "jsonSchema": "object",
    "jsonSchemaResult": "object",
    "countryName": "any",
    "subdomain": "string",
    "parentAccountId": "string",
    "serviceProvidersEventProviderId": "string"
  }
}
```

### Responsen

| Status | Beschrijving | Body |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet toegestaan |  |
| 403 | Verboden |  |

## DELETE /user/{id}

Verwijder een gebruiker op basis van Id

### Parameters

| Naam | In | Type | Vereist | Beschrijving |
| --- | --- | --- | --- | --- |
| id | path | string | ja |  |

### Antwoorden

| Status | Beschrijving | Inhoud |
| --- | --- | --- |
| 200 | Succes |  |
| 204 | Geen inhoud |  |
| 400 | Ongeldige invoer |  |
| 401 | Niet geautoriseerd |  |
| 403 | Verboden |  |